#
# spec file for package clewarecontrol
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           clewarecontrol
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
Url:            http://www.vanheusden.com/clewarecontrol/
Version:        4.0
Release:        1.1
Summary:        Control Cleware USB devices
License:        GPL-2.0
Group:          Hardware/Other
Patch0:         sequence-points.patch 
%if 0%{?suse_version} < 1120 
Source:         clewarecontrol-2.8.tgz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif
%if 0%{?suse_version} >= 1120 
Source:         %{name}-%{version}.tgz
BuildRequires:  libhidapi-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
This program lets you control the USB-devices made by Cleware GmbH.

You can measure the temperature or humidity, switch on and off and configure
switches, control the watchdog, etc.

%prep 
%if 	       0%{?suse_version} < 1120
%setup -q -n clewarecontrol-2.8
%else
%setup -q
%endif
%patch0 -p1
%build 
CXXFLAGS+=" $RPM_OPT_FLAGS"
export CXXFLAGS
make %{?_smp_mflags}
echo CXXFLAGS

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1/
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/clewarecontrol.1.gz

%doc readme.txt

%changelog
* Fri Nov 13 2015 sndirsch@suse.com
- ran 'osc service localrun format_spec_file' in order to add a
  license header and cleanup the spec file;  removed unneeded
  %%clean section
* Wed Sep 23 2015 bhertwig@suse.com
-Added patch sequence-points.patch, which takes sequence points
  in C in consideration.
* Wed Sep 23 2015 bhertwig@suse.com
-Added patch which changes a few lines USBaccess.cpp to ensure correct building of the package on SLE11 based machines.
* Tue Sep 22 2015 bhertwig@suse.com
-A few changes to USBaccess.cpp in the 2.8 version, which
  prevented it from building on SLE_11 machines.
* Mon Sep 21 2015 bhertwig@suse.com
-Initial Release
